<?php
// LG-Pay Configuration
define('LG_APP_ID', 'MJL3152');
define('LG_KEY', 'C9cxXx2WWr8TEM59X4MMavitLYT8B1QN');
define('LG_GATEWAY_URL', 'https://www.lg-pay.com/api/order/create');
define('LG_NOTIFY_URL', 'https://sha75.com/api/lg_callback.php');

// আপনার তৈরি করা সাকসেস পেজের লিঙ্ক (Return URL)
define('LG_RETURN_URL', 'https://sha75.com/api/lg_success.php');

// সিগনেচার তৈরির ফাংশন (ডকুমেন্টেশন অনুযায়ী)
function generate_lg_sign($data, $key) {
    ksort($data);
    $string = http_build_query($data);
    $string = urldecode($string);
    $string = trim($string) . "&key=" . $key;
    return strtoupper(md5($string));
}
?>